<template>
  <ContentScrollView :paddingH="false">
    <nut-form :model-value="form" ref="formRef">
      <nut-form-item label="身高:" class="bole-form-item" prop="height">
        <NumberInput v-model="form.height" placeholder="请输入">
          <template #right>cm</template>
        </NumberInput>
      </nut-form-item>
      <nut-form-item label="体重:" class="bole-form-item" prop="weight">
        <NumberInput v-model="form.weight" placeholder="请输入">
          <template #right>kg</template>
        </NumberInput>
      </nut-form-item>
      <nut-form-item
        label="个人生活照（单张照片不超过5m，最多不超过6张）:"
        class="bole-form-item person-photo"
        prop="photo"
        label-position="top"
      >
        <Uploader v-model:file-list="form.photo" :maximum="6" class="bole-uploader"> </Uploader>
      </nut-form-item>
    </nut-form>
  </ContentScrollView>
  <PageFooter>
    <PageFooterBtn type="primary" @click="handleConfirm">保存</PageFooterBtn>
  </PageFooter>
</template>

<script setup lang="ts">
import { useUser } from '@/hooks';
import { NumberInput } from '@12333/components';

defineOptions({
  name: 'InnerPage',
});

const { userDetail } = useUser();

const form = reactive({
  height: '',
  weight: '',
  photo: [],
});

function handleConfirm() {}
</script>

<style lang="scss">
@import '@/styles/common.scss';

.mineDetailedInfo-page-wrapper {
  .person-photo {
    .nut-form-item__label {
      padding-right: 0;
    }
  }

  .nut-form .nut-cell.bole-form-item:not(.alignTop),
  page .nut-form .nut-cell.bole-form-item:not(.alignTop) {
    align-items: flex-start !important;
  }
}
</style>
